dots.v2.databases.byDatabase_cluster_uuid().autoscale.get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).autoscale.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | AutoscaleGetResponse>

Description

To retrieve the autoscale configuration for an existing database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/autoscale. The response will be a JSON object with autoscaling configuration details.

Parameters

database_cluster_uuid string required

Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").autoscale.get();

Response Example

Show Response Example
{
  "autoscale": {
    "storage": {
      "enabled": true,
      "threshold_percent": 80,
      "increment_gib": 10
    }
  }
}

More Information

See /v2/databases/{database_cluster_uuid}/autoscale in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.